<?php
/*
Plugin Name: tigaman webdesign - Theme color meta
Plugin URI: https://www.tigaman.com/
Description: This plugin adds theme color metatags to the wordpress header.
You can set the preferred color on the settings page.
Version: 1.0
Author: tigaman webdesign
Author URI: https://www.tigaman.hu
License: GPL2
Copyright: tigaman webdesign
*/
?>
<?php function twd_header_theme_color_meta() {?><meta name="theme-color" content="<?php if( $field = get_option('meta_color') ) : ?><?php $field = get_option('meta_color') ; echo ( $field  ); ?><?php else : ?>#ff0000<?php endif; ?>"/>
<meta name="msapplication-navbutton-color" content="<?php if( $field = get_option('meta_color') ) : ?><?php $field = get_option('meta_color') ; echo ( $field  ); ?><?php else : ?>#ff0000<?php endif; ?>"/>
<meta name="apple-mobile-web-app-status-bar-style" content="<?php if( $field = get_option('meta_color') ) : ?><?php $field = get_option('meta_color') ; echo ( $field  ); ?><?php else : ?>#ff0000<?php endif; ?>"/><?php }add_action( 'wp_head', 'twd_header_theme_color_meta' , -1000);?>
<?php 
// Settings Page: ThemeColorMeta
// Retrieving values: get_option( 'your_field_id' )
class ThemeColorMeta_Settings_Page {

	public function __construct() {
		add_action( 'admin_menu', array( $this, 'wph_create_settings' ) );
		add_action( 'admin_init', array( $this, 'wph_setup_sections' ) );
		add_action( 'admin_init', array( $this, 'wph_setup_fields' ) );
	}

	public function wph_create_settings() {
		$page_title = 'Create theme color meta for wordpress head';
		$menu_title = 'Theme color meta';
		$capability = 'manage_options';
		$slug = 'ThemeColorMeta';
		$callback = array($this, 'wph_settings_content');
                add_options_page($page_title, $menu_title, $capability, $slug, $callback);
		
	}
    
	public function wph_settings_content() { ?>
		<div class="wrap">
			<h1>Theme color meta</h1>
			<?php settings_errors(); ?>
			<form method="POST" action="options.php">
				<?php
					settings_fields( 'ThemeColorMeta' );
					do_settings_sections( 'ThemeColorMeta' );
					submit_button();
				?>
			</form>
 <h1>See more free stuff - tigaman webdesign</h1>
          
            <style type="text/css">
              #tigamandotcom {width: 100%;height:500px;overflow-x: hidden;}
              </style>        
            <embed id="tigamandotcom" type="text/html" src="https://www.tigaman.com/">                 
		</div> <?php
	}

	public function wph_setup_sections() {
		add_settings_section( 'ThemeColorMeta_section', 'choose a color and save it!', array(), 'ThemeColorMeta' );
	}

	public function wph_setup_fields() {
		$fields = array(
                    array(
                        'section' => 'ThemeColorMeta_section',
                        'label' => 'meta-color',
                        'id' => 'meta_color',
                        'type' => 'text',
                    )
		);
		foreach( $fields as $field ){
			add_settings_field( $field['id'], $field['label'], array( $this, 'wph_field_callback' ), 'ThemeColorMeta', $field['section'], $field );
			register_setting( 'ThemeColorMeta', $field['id'] );
		}
	}
	public function wph_field_callback( $field ) {
		$value = get_option( $field['id'] );
		$placeholder = '';
		if ( isset($field['placeholder']) ) {
			$placeholder = $field['placeholder'];
		}
		switch ( $field['type'] ) {
            
            
			default:
				printf( '<input name="%1$s" id="%1$s" type="%2$s" placeholder="%3$s" value="%4$s" />',
					$field['id'],
					$field['type'],
					$placeholder,
					$value
				);
		}
		if( isset($field['desc']) ) {
			if( $desc = $field['desc'] ) {
				printf( '<p class="description">%s </p>', $desc );
			}
		}
	}
    
}
new ThemeColorMeta_Settings_Page();
?>
<?php add_action( 'admin_enqueue_scripts', 'twdtcm_add_color_picker' );
function twdtcm_add_color_picker( $hook ) {
    if( is_admin() ) { 
        wp_enqueue_style( 'wp-color-picker' ); 
        wp_enqueue_script( 'custom-script-handle', plugins_url( 'twd-tcm.js', __FILE__ ), array( 'wp-color-picker' ), false, true ); 
    }
}
?>
<?php add_filter( 'plugin_action_links_' . plugin_basename(__FILE__), 'twdtcm_settings_link' );
function twdtcm_settings_link( array $links ) {
    $url = get_admin_url() . "admin.php?page=ThemeColorMeta";
    $settings_link = '<a href="' . $url . '">' . __('Settings', 'akismet') . '</a>';
      $links[] = $settings_link;
    return $links;
  }
?>